//-----------------------------------------------------------------------------
// BITMAP
//-----------------------------------------------------------------------------

#ifndef _NWBITMAP_H_
#define _NWBITMAP_H_

//-----------------------------------------------------------------------------
class NWBITMAP: public NWCLASS {
protected:
	NJS_TEXINFO		sTexInfo;
	NJS_TEXNAME		sTexName;
	NJS_TEXLIST		sTexList;
	NJS_TEXSURFACE*	pTexSurface;
	
	int			bLoadFlag;
	int			nGlobalIndex;
public:
	int			nW;
	int			nH;
	float		fInvW;
	float		fInvH;
	
	NWBITMAP( void );
	~NWBITMAP( void );
	
	int GetIndex( void );
	int LoadFromFile( char* pFileName );
	int LoadFromMemory( PNWPVR pPvr );
	int LoadFromImage( PNWTEXTURE pTexture );
	void Release( void );
	void SetTexture( void );
};

//-----------------------------------------------------------------------------
#endif
